<?php
/**
 * Plugin Name: SecurePrivacy
 * Plugin URI: https://secureprivacy.ai/
 * Version: 1.0.0
 * Author: Secure Privacy
 * Author URI: https://secureprivacy.ai/
 * Description: Secure Privacy automates cookie consent, visitor preferences, privacy policy & cookie declaration management across international data privacy laws.
 * License: GPL2
 *
 * @package SecurePrivacy
 */

/*
    Copyright 2023 SecurePrivacy

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/**
 * SecurePrivacy
 */
defined( '_JEXEC' ) or die;
class plgSystemSecureprivacy extends JPlugin
{
    public function onAfterRender()
    {
        // only insert the script in the frontend
        $app = Joomla\CMS\Factory::getApplication();;
        if ($app->getName() == "site") 
        {
            $securePrivacyScript = $this->params->get('secureprivacy_header');
            $html = $app->getBody();
            $html = str_replace('<head>', '<head>' . $securePrivacyScript, $html);
            $app->setBody($html);
        }
    }
}